| optoMDC

Loading...
Searching...
No Matches
optoMDC.mre3.MRE3Channel Class Reference
Inheritance diagram for optoMDC.mre3.MRE3Channel:

## Public Member Functions
| __init__ (self, board, int channel_number=0)

## Public Attributes
| StaticInput = mre3Registers.MRE3StaticInput(self._channel, self._board)
| DeviceEEPROM = mre3Registers.DeviceEEPROM(self._channel, self._board)
| Analog = mre2Registers.Analog(self._channel, self._board)
| SignalGenerator = mre2Registers.SignalGenerator(self._channel, self._board)
| VectorPatternUnit = mre3Registers.VectorPatternUnit(self._channel, self._board)
| InputConditioningFilter = mre3Registers.InputConditioningFilter(self._channel, self._board)
| OutputConditioningFilter = mre3Registers.OutputConditioningFilter(self._channel, self._board)
| OFPID = mre3Registers.OFPID(self._channel, self._board)
| XYPID = mre3Registers.XYPID(self._channel, self._board)
| QuadrantVectorPatternUnit = mre3Registers.QuadrantVectorPatternUnit(self._channel, self._board)

## Detailed Description

        Class to control single channel of the MR-E-3 driver. It contains systems supported on specific channel.

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.mre3.MRE3Channel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = 0 )

## Member Data Documentation

## ◆ Analog

optoMDC.mre3.MRE3Channel.Analog = mre2Registers.Analog(self._channel, self._board)

## ◆ DeviceEEPROM

optoMDC.mre3.MRE3Channel.DeviceEEPROM = mre3Registers.DeviceEEPROM(self._channel, self._board)

## ◆ InputConditioningFilter

optoMDC.mre3.MRE3Channel.InputConditioningFilter = mre3Registers.InputConditioningFilter(self._channel, self._board)

## ◆ OFPID

optoMDC.mre3.MRE3Channel.OFPID = mre3Registers.OFPID(self._channel, self._board)

## ◆ OutputConditioningFilter

optoMDC.mre3.MRE3Channel.OutputConditioningFilter = mre3Registers.OutputConditioningFilter(self._channel, self._board)

## ◆ QuadrantVectorPatternUnit

optoMDC.mre3.MRE3Channel.QuadrantVectorPatternUnit = mre3Registers.QuadrantVectorPatternUnit(self._channel, self._board)

## ◆ SignalGenerator

optoMDC.mre3.MRE3Channel.SignalGenerator = mre2Registers.SignalGenerator(self._channel, self._board)

## ◆ StaticInput

optoMDC.mre3.MRE3Channel.StaticInput = mre3Registers.MRE3StaticInput(self._channel, self._board)

## ◆ VectorPatternUnit

optoMDC.mre3.MRE3Channel.VectorPatternUnit = mre3Registers.VectorPatternUnit(self._channel, self._board)

## ◆ XYPID

optoMDC.mre3.MRE3Channel.XYPID = mre3Registers.XYPID(self._channel, self._board)

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/mre3.py